% --------------vystrihnuti_signalu----------------------------------------
p_kanalu = 8;
Fvz = 48000;

start = 46;   %cas startu segmentu signalu v sekundach
delkaSig = 0.26;    %delka segmentu signalu v sekundach

index_start = start*Fvz;
index_stop = index_start + delkaSig*Fvz;

for n=1:p_kanalu
    nazev = ['mic',int2str(n),'.wav'];
    [x,Fvz,Nbits]=wavread(nazev);
    wavwrite(x(index_start:index_stop),Fvz,Nbits,nazev);

end